GET api/group/{id}/searching/{roleId}/matches?pageSize={pageSize}&pageNumber={pageNumber}&sort={sort}
Get property matches for a Searching Role for a Group Processes this group API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
The unique identifier of the requested resource. |
integer |
Required |
| roleId |
The unique identifier of the role resource. |
integer |
Required |
| pageSize |
The page size value supplied with the request. |
integer |
Default value is 5 |
| pageNumber |
The page number value supplied with the request. |
integer |
Default value is 1 |
| sort |
The sort value supplied with the request. |
GroupPropertyMatchSortType |
Default value is ScoreDesc |
Body Parameters
None.
Response Information
Resource Description
A list of Searching Roles
PagedCollectionDataContractOfGroupPropertyMatchDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| TotalCount |
The total count value. |
integer |
None. |
| CurrentCount |
The current count value. |
integer |
None. |
| PageSize |
The page size value. |
integer |
None. |
| PageNumber |
The page number value. |
integer |
None. |
| Collection |
The collection of collection. |
Collection of GroupPropertyMatchDataContract |
None. |
Response Formats
application/json
Sample:
Sample not available.
text/json
Sample:
Sample not available.